#!/usr/bin/env python

###
# Copyright (c) 2003, Vincent Foley
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#   * Redistributions of source code must retain the above copyright notice,
#     this list of conditions, and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright notice,
#     this list of conditions, and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of the author of this software nor the name of
#     contributors to this software may be used to endorse or promote products
#     derived from this software without specific prior written consent.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
###

from testsupport import *

import supybot.utils as utils

try:
    import sqlite
except ImportError:
    sqlite = None

if sqlite is not None:
    class WordsTestCase(ChannelPluginTestCase, PluginDocumentation):
        plugins = ('Words',)
        # Putting in a comment to make this different.
        def testAddWord(self):
            words = ('hello', 'world', 'mother', 'python')
            for word in words:
                self.assertNotError('add %s' % word)

        def testHangman(self):
            self.assertNotError('add hello')
            self.assertError('guess j')
            self.assertError('letters')
            self.assertNotError('hangman')
            self.assertNotError('guess hello')
            self.assertNotError('hangman')
            self.assertNotError('guess j')
            self.assertNotError('letters')


# vim:set shiftwidth=4 tabstop=8 expandtab textwidth=78:
